package com.logicbig.example;

import reactor.core.publisher.Mono;
import java.util.Optional;

public class MonoJustWithOptionalExample {
    public static void main(String[] args) {
        System.out.println("-- Creating Mono with optional --");
        Optional<String> optional = Optional.of("apple");
        Mono.justOrEmpty(optional)
            .subscribe(System.out::println);

        System.out.println("-- Creating Mono with null optional --");
        Optional<String> optional2 = Optional.ofNullable(null);
        Mono.justOrEmpty(optional2)
            .subscribe(System.out::println);

        System.out.println("-- Creating Mono with empty optional --");
        Optional<String> optional3 = Optional.empty();
        Mono.justOrEmpty(optional3)
            .subscribe(System.out::println);
    }
}